دیجی کانفیگ
مرجع تخصصی آموزش وبمستر

نصب php 5.6 در Centos/RHEL نسخه ۶x و ۷x با استفاده از yum

اُکسین گستر

- تبلیغات -

PHP نسخه ۵.۶.۲۷ در اکتبر ۲۰۱۶ معرفی شد که میتوان ان را با استفاده از yum نصب کرد. این نسخه از PHP همانند دیگر ورژن های PHP در Centos نسخه ۶x و در Redhat نسخه ۷x پشتیبانی و قابل استفاده میباشد. در سیستم عامل های Centos 6X و redhat 6X نسخه پیشفرض PHP ۵.۳ میباشد و همانطور که میدانید جهت نصب و یا استفاده بسیاری از اسکریپت ها و CMS ها نیاز است تا نسخه PHP بروز رسانی شود.

wikiconfig-php upgradeتا به امروز نسخه ۷.۳ برای PHP عرضه شده است که معمولا نسخه PHP با توجه به سازگاری اسکریپ یا WAP مورد نظر انتخاب میشود. قبل استفاده از دستورات بطور کامل این مقاله را مطالعه نمایید.

بطور خلاصه امکانات زیر به php ۵.۶.۲۳ اضافه شده است:

  • constant scalar expressions
  • variadic functions
  • argument unpacking
  • پشتیبانی از اپلود بیش از ۲ گیگابایت فایل
  • اضافه شدن یک دستور جدید به نام phpdbg برای دیباگ کردن
  • ارتقا SSL/TLS

جهت مشاهده دیگر تغییرات و نحوه Migrate کرد لینک Migrating from PHP 5.5.x to PHP 5.6.x را مطالعه نمایید.

نصب/ ارتقا PHP

در ابتدا باید برسی نمایید که ایا PHP در سرور نصب میباشد یا خیر که در هر صورت باید بطور کامل با تمامی افزونه های نصب شده حذف شود به این دلیل که ممکن است زمان نصب ورژن جدید پیغام خطای conflict بین دو نسخه از ابزار های جدید و ابزار های قدیمی نصب شده را دریافت نمایید. جهت حذف کامل دستورات زیر در محیط ssh وارد نمایید:

yum remove *php*
yum remove php-common

پس از حذف کامل PHP جهت نصب نسخه جدید باید مخزن های نرم افزاری yum را اپدیت نمایید. برای این منظور دستورات زیر را وارد نمایید:

CentOS/RHEL 7.x :
rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
CentOS/RHEL 6.x :
rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-6.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el6/latest.rpm

حالا میتوانید PHP نسخه ۵.۶ را به همراه افزونه های ان نصب نمایید. برای  PHP را به همراه Opcode cache یا بدون ان نصب نمایید:

yum install php56w php56w-opcache

یا در صورت نیاز میتوانید PHP-FPM را به همراه Opcode cache نصب نمایید:

yum install php56w-fpm php56w-opcache

آپگرید

بهتر است جهت اپگرید نسخه PHP نرم افزار های موجود در سیستم را برسی نمایید تا مطمئن شوید از نسخه جدید پشتیبانی میکند. بهتر است بدون اگاهی اقدام به اپگرید ننمایید یا از یک متخصص مشورت بگیرید. میتوانید از یک سرور Fresh استفاده نمایید و نسخه جدید را نصب نموده سپس WAP ها و اسکریپت های خود را جهت برسی سازگاری در سرور Fresh اجرا کنید تا در سرویس دهی فعلی شما اختلالی ایجاد نشود.

در سرور عملیاتی جهت اپگرید میتوانید از دستورات زیر استفاده نمایید:
yum install yum-plugin-replace
 
yum replace php-common --replace-with=php56w-common

پکیج های قابل نصب

 با استفاده از دستور yum میتوانید برخی دیگر از Package های فعال مورد نیاز مانند PDO و اتصال دهنده mysql را نصب نمایید که در جدول زیر بصورت Cheat sheet لیست شده است.

PackageProvides
php56wmod_php, php56w-zts
php56w-bcmath
php56w-cliphp-cgi, php-pcntl, php-readline
php56w-commonphp-api, php-bz2, php-calendar, php-ctype, php-curl, php-date, php-ereg, php-exif, php-fileinfo, php-filter, php-ftp, php-gettext, php-gmp, php-hash, php-iconv, php-json, php-libxml, php-openssl, php-pcre, php-pecl-Fileinfo, php-pecl-phar, php-pecl-zip, php-reflection, php-session, php-shmop, php-simplexml, php-sockets, php-spl, php-tokenizer, php-zend-abi, php-zip, php-zlib
php56w-dba
php56w-devel
php56w-embeddedphp-embedded-devel
php56w-fpm
php56w-gd
php56w-mysqlphp-mysqli, php_database
php56w-pdophp56w-pdo_sqlite, php56w-sqlite3
php56w-pecl-geoip
php56w-pecl-memcache
php56w-soap
php56w-xmlphp-dom, php-domxml, php-wddx, php-xsl

برای مثال میتوانید برای نصب php-common یا افزونه ارتباط mysql از دستورات زیر استفاده نمایید:

yum install php56w-mysql
yum install php56w-common

جهت اعمال تغییرات در سرور، اپاچی را ریستارت نمایید.

 

اُکسین گستر

- تبلیغات -